import sk.thenet.gamestd.*;
import sk.thenet.gamestd.bmp.*;
import sk.thenet.gamestd.iso.*;
import sk.thenet.gamestd.model.*;
import sk.thenet.gamestd.plocom.*;
import sk.thenet.plustd.prng.PRNGXorshift;
import sk.thenet.plustd.FM;
import game.*;

class Main {
	public static var st:Stater;
	public static var prng:PRNGXorshift;
	
	public static function main(){
		haxe.Log.setColor(0xFF8000);
		prng = new PRNGXorshift(0xA0B00027);
		
		Assets.init();
		Level.initLevels();
		
		st = new Stater();
		st.initBitmap(320, 240, 2);
		st.initKeyboard();
		st.initMouse();
		
		st.addState(new GenericStaterState("menu")
			.setFuncFrame(function(s:Stater){})
			.setFuncClick(function(s:Stater, mx:Int, my:Int){})
		);
		st.addState(new GSGame());
		st.switchTo("game");
	}
}