package game;

import sk.thenet.gamestd.bmp.*;

class Entity {
	public static inline var ET_NONE:Int = 0;
	public static inline var ET_MAN:Int = 1;
	public static inline var ET_MOB_SMALL:Int = 2;
	public static inline var ET_BULLET:Int = 3;
	public static inline var ET_PICKUP:Int = 4;
	public static inline var ET_MAN_INACTIVE:Int = 5;
	
	public var type:Int = 0;
	public var pe:PhysicsEntity;
	public var lvl:Level;
	public var phsx:Physics;
	public var remove:Bool = false;
	public var invisible:Bool = false;
	
	public function new(ntype:Int, nlvl:Level, nphsx:Physics){
		type = ntype;
		lvl = nlvl;
		phsx = nphsx;
		lvl.ent.push(this);
		phsx.ent.push(this.pe);
	}
	
	public function render(bd:BitmapData, camxi:Int, camyi:Int):Void {}
	public function tick():Void {}
	public function kUp(k:Int):Void {}
	public function kDown(k:Int):Void {}
}